# Project Wiki Markdown Content

As a submodule of [Project Wiki](https://www.drupal.org/project/project_wiki)
this module allows you to globally
administer entries of your Project Wiki using
[Markdown](https://www.markdownguide.org/) files.

## Requirements

This module requires the following modules / libraries:

- [Project Wiki](https://www.drupal.org/project/project_wiki) (Module)

**_Please Note:_** This module **will be installed automatically when
installing Project Wiki**.

## Installation

Install as you would normally install a contributed Drupal module.
For further information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

**Changing Settings:**

- Navigate to _\[Structure] » \[Project Wiki] » \[Markdown Content Settings]_
  to edit the following settings:
  - HTML filtering method _(How the Markdown converter should react to HTML
    in the Markdown files)_
  - Allow unsafe links _(Wether or not the Markdown converter should tolerate
    unsafe links in the Markdown files)_

## FAQ

**Q: I have HTML in my Markdown file, but it doesn't show up on the page.**  
**A:** Check in the Markdown Content Settings if "HTML filtering method"
is set to "Escape" or "Strip", which will
either show HTML code as plain text or delete it alltogether.
**_Please note:_** If you set this setting to "Allow"
you need to make sure that only people you trust add Markdown files to
prevent people from **adding potentially
malicious code** to the wiki.

**Q: The link in my Markdown file doesn't work on the page.**  
**A:** Check in the Markdown Content Settings if "Allow unsafe links"
is turned off. **_Please note:_** If it is
enabled and this setting is causing your problem, the actual problem may
be that **your link is actually unsafe
and should be removed.**
